<header class="post-header">
  <h2 class="post-title">
    <a *ngIf="!isEdit" [href]="item.href">{{ item.title }}</a>
    <input
      *ngIf="isEdit"
      size="70%"
      class="title-input"
      pInputText
      type="text"
      class="p-inputtext-lg"
      placeholder="Large"
      [(ngModel)]="item.title"
    />
  </h2>
  <div class="post-info clearfix">
    <div class="area">
      <span>
        {{ item.date | date : "shortDate" }}
      </span>
    </div>
    <div class="area">
      <span>
        <a href="http://blog.miniasp.com/author/will.aspx">{{ item.author }}</a>
      </span>
    </div>
    <div class="area">
      <span>
        <a [href]="item['categoryLink']">{{ item.category }}</a>
      </span>
    </div>
    <span>
      <button (click)="doRemoveArticle()">刪除文章</button>
      <!--查詢頁面對話框-->
    </span>
  </div>
</header>
